Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.core.logging
Class Log4jFileAppender

    java.lang.Object
      org.pentaho.di.core.logging.Log4jFileAppender

All Implemented Interfaces:
  org.apache.log4j.Appender

    public class Log4jFileAppender

extends Object
implements org.apache.log4j.Appender

Constructor Summary
`Log4jFileAppender(org.apache.commons.vfs.FileObject file)`
`Log4jFileAppender(org.apache.commons.vfs.FileObject file, boolean append)`

Method Summary
`void` | `addFilter(org.apache.log4j.spi.Filter filter)`
`void` | `clearFilters()`
`void` | `close()`
`void` | `doAppend(org.apache.log4j.spi.LoggingEvent event)`
`org.apache.log4j.spi.ErrorHandler` | `getErrorHandler()`
`org.apache.commons.vfs.FileObject` | `getFile()`
`OutputStream` | `getFileOutputStream()`
`org.apache.log4j.spi.Filter` | `getFilter()`
`org.apache.log4j.Layout` | `getLayout()`
`String` | `getName()`
`boolean` | `requiresLayout()`
`void` | `setErrorHandler(org.apache.log4j.spi.ErrorHandler arg0)`
`void` | `setFilename(org.apache.commons.vfs.FileObject file)`
`void` | `setFileOutputStream(OutputStream fileOutputStream)`
`void` | `setFilter(org.apache.log4j.spi.Filter filter)`
`void` | `setLayout(org.apache.log4j.Layout layout)`
`void` | `setName(String name)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Log4jFileAppender

    public Log4jFileAppender(org.apache.commons.vfs.FileObject file)
                      throws IOException

Throws:
  `IOException`

### Log4jFileAppender

    public Log4jFileAppender(org.apache.commons.vfs.FileObject file,
                             boolean append)
                      throws IOException

Throws:
  `IOException`

Method Detail

### addFilter

    public void addFilter(org.apache.log4j.spi.Filter filter)

  Specified by:
    `addFilter` in interface `org.apache.log4j.Appender`

### getFilter

    public org.apache.log4j.spi.Filter getFilter()

  Specified by:
    `getFilter` in interface `org.apache.log4j.Appender`

### clearFilters

    public void clearFilters()

  Specified by:
    `clearFilters` in interface `org.apache.log4j.Appender`

### close

    public void close()

  Specified by:
    `close` in interface `org.apache.log4j.Appender`

### doAppend

    public void doAppend(org.apache.log4j.spi.LoggingEvent event)

  Specified by:
    `doAppend` in interface `org.apache.log4j.Appender`

### setName

    public void setName(String name)

  Specified by:
    `setName` in interface `org.apache.log4j.Appender`

### getName

    public String getName()

  Specified by:
    `getName` in interface `org.apache.log4j.Appender`

### setErrorHandler

    public void setErrorHandler(org.apache.log4j.spi.ErrorHandler arg0)

  Specified by:
    `setErrorHandler` in interface `org.apache.log4j.Appender`

### getErrorHandler

    public org.apache.log4j.spi.ErrorHandler getErrorHandler()

  Specified by:
    `getErrorHandler` in interface `org.apache.log4j.Appender`

### setLayout

    public void setLayout(org.apache.log4j.Layout layout)

  Specified by:
    `setLayout` in interface `org.apache.log4j.Appender`

### getLayout

    public org.apache.log4j.Layout getLayout()

  Specified by:
    `getLayout` in interface `org.apache.log4j.Appender`

### requiresLayout

    public boolean requiresLayout()

  Specified by:
    `requiresLayout` in interface `org.apache.log4j.Appender`

### getFile

    public org.apache.commons.vfs.FileObject getFile()

### setFilename

    public void setFilename(org.apache.commons.vfs.FileObject file)

### getFileOutputStream

    public OutputStream getFileOutputStream()

### setFileOutputStream

    public void setFileOutputStream(OutputStream fileOutputStream)

### setFilter

    public void setFilter(org.apache.log4j.spi.Filter filter)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD